Compare commits

...
Sign in to create a new pull request.

18 commits

Author SHA1 Message Date
Fedora Release Engineering
cc780d207a Rebuilt for https://fedoraproject.org/wiki/Fedora_45_Mass_Rebuild 2026-07-15 22:12:13 +00:00
Python Maint
8ce7c2eb08 Rebuilt for Python 3.15 2026-06-05 00:03:53 +02:00
Fedora Release Engineering
0c339f8028 Rebuilt for https://fedoraproject.org/wiki/Fedora_44_Mass_Rebuild 2026-01-16 10:24:44 +00:00
Fedora Release Engineering
907cf67e48 Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild 2025-07-23 19:41:21 +00:00
Python Maint
b01e3c9b65 Rebuilt for Python 3.14 2025-06-03 12:20:16 +02:00
Frank Liang
8d3ba6125a fix swapoff breaks hibernate process
Refs: https://github.com/aws/amazon-ec2-hibinit-agent/pull/50

Signed-off-by: Frank Liang <xiliang@redhat.com>

(cherry picked from commit 2ebeb61bbb)
2025-03-20 10:34:54 +00:00
Fedora Release Engineering
8faa7d0264 Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild 2025-01-16 16:35:05 +00:00
Dominik Wombacher
c8eb6a5d67 fix: Ensure swapon with maximum priority before hibernation
Refs: https://github.com/aws/amazon-ec2-hibinit-agent/pull/49

Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=2322884
2024-11-08 09:22:19 +00:00
Fedora Release Engineering
de7514a8ee Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild 2024-07-17 21:40:34 +00:00
Python Maint
fbeb0c13bf Rebuilt for Python 3.13 2024-06-07 18:57:16 +02:00
Packit
c6fb8d2397 Update to 1.0.9 upstream release
Upstream tag: v1.0.9
Upstream commit: 527a5f69

Commit authored by Packit automation (https://packit.dev/)
2024-06-02 10:04:57 +00:00
Dominik Wombacher
32c76d1f5c fix(Packit): Set 'upstream_tag_template' because of 'ERROR Cannot checkout release tag.' in latest Packit Job. 2024-06-02 10:03:10 +00:00
Dominik Wombacher
f2bc9f24ee feat: Packit onboarding 2024-05-06 12:56:06 +00:00
Dominik Wombacher
ff1a7e4386 feat: Update to 1.0.8 and migrated to SPDX
v1.0.8, Graceful Termination Improvements
- Critical termination protection

v1.0.7, Btrfs Support for hibernation
- Change message when removing SWAP
- Adding btrfs-enabled to set No_COW and get offset using btrfs

v1.0.6
- Add initial Amazon Linux 2022 support
- Add pm-utils for required package
- Recreating the swap file if the current size is sufficiently larger
- Update /sys/power/resume_offset and /sys/power/resume only if present
2024-04-08 09:42:45 +00:00
Fedora Release Engineering
0bbca160b0 Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild 2024-01-24 10:05:40 +00:00
Fedora Release Engineering
2f29b08b09 Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild 2024-01-19 17:48:58 +00:00
Fedora Release Engineering
3c56a0a305 Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2023-07-19 18:10:50 +00:00
Python Maint
fa6acbbc3f Rebuilt for Python 3.12 2023-06-14 23:08:00 +02:00
7 changed files with 220 additions and 5 deletions

2
.gitignore vendored
View file

@ -3,3 +3,5 @@
*.~undo-tree~
amazon-ec2-hibinit-agent.spec
/ec2-hibinit-agent-1.0.5.tar.gz
/ec2-hibinit-agent-1.0.8.tar.gz
/ec2-hibinit-agent-1.0.9.tar.gz

42
.packit.yaml Normal file
View file

@ -0,0 +1,42 @@
# See the documentation for more information:
# https://packit.dev/docs/configuration/
upstream_project_url: https://github.com/aws/amazon-ec2-hibinit-agent
upstream_tag_template: v{version}
upstream_package_name: amazon-ec2-hibinit-agent
downstream_package_name: ec2-hibinit-agent
jobs:
- job: pull_from_upstream
trigger: release
# Keeping dist-git branches non-divergent
# Requirs manual local merge from rawhide to stable release branches
# https://packit.dev/docs/fedora-releases-guide#keeping-dist-git-branches-non-divergent
dist_git_branches:
- fedora-rawhide
- job: koji_build
trigger: commit
allowed_pr_authors:
- packit
- all_admins
- all_committers
- '@cloud-sig' # string with @ needs quotes to be valid yaml
allowed_committers:
- all_admins
- all_committers
- '@cloud-sig' # string with @ needs quotes to be valid yaml
dist_git_branches:
- fedora-all
- epel-all
- job: bodhi_update
trigger: commit
allowed_builders:
- packit
- all_admins
- all_committers
- '@cloud-sig' # string with @ needs quotes to be valid yaml
dist_git_branches:
- fedora-branched # rawhide updates are created automatically
- epel-all

View file

@ -0,0 +1,54 @@
From f75434659a731ebdfc259990eb37777700900ea2 Mon Sep 17 00:00:00 2001
From: Dominik Wombacher <dominik@wombacher.cc>
Date: Thu, 7 Nov 2024 15:27:03 +0000
Subject: [PATCH 1/1] fix(rhel): Swapon with maximum priority before
hibernation
Apply swapon high priority related changes from /acpid.sleep.sh to /packaging/rhel/acpid.sleep.sh
Refs: https://github.com/aws/amazon-ec2-hibinit-agent/commit/a2303d269610a6e7415c5045766da605eaa7e30f
---
packaging/rhel/acpid.sleep.sh | 11 ++++++++---
1 file changed, 8 insertions(+), 3 deletions(-)
diff --git a/packaging/rhel/acpid.sleep.sh b/packaging/rhel/acpid.sleep.sh
index ca3db22..9b381f9 100755
--- a/packaging/rhel/acpid.sleep.sh
+++ b/packaging/rhel/acpid.sleep.sh
@@ -3,11 +3,14 @@
PATH=/sbin:/bin:/usr/bin
failed='false'
+# Hibernation selects the swapfile with highest priority. Since there may be
+# other swapfiles configured, ensure /swap is selected as hibernation
+# target by setting to maximum priority.
+swap_priority=32767
+
hibernate()
{
- swapon /swap
- systemctl hibernate
-
+ swapon --priority=$swap_priority /swap && systemctl hibernate
if [ $? -ne 0 ]
then
logger "Hibernation failed, Sleeping 2 mins before retry"
@@ -15,6 +18,7 @@ hibernate()
else
failed='false'
fi
+ swapoff /swap
}
case "$2" in
@@ -26,6 +30,7 @@ case "$2" in
hibernate
if [ $failed == 'true' ];
then
+ swapoff /swap
sleep 2m
else
break
--
2.47.0

View file

@ -0,0 +1,59 @@
From 0197c7173a5ad1470060862a0be96b9a976bdf49 Mon Sep 17 00:00:00 2001
From: Frank Liang <xiliang@redhat.com>
Date: Thu, 2 Jan 2025 22:28:12 +0800
Subject: [PATCH] rhel: fix swapoff breaks hibernate process
hibernate() always calling swapoff breaks hibernation process.
The hibernation wont continue if call swapoff too fast in rhel or amazon
linux.
"swapon --priority=32767 /swap && systemctl hibernate ;echo $?; swapoff /swap"
Signed-off-by: Frank Liang <xiliang@redhat.com>
---
packaging/rhel/acpid.sleep.sh | 17 ++++++-----------
1 file changed, 6 insertions(+), 11 deletions(-)
diff --git a/packaging/rhel/acpid.sleep.sh b/packaging/rhel/acpid.sleep.sh
index 9b381f9..1e55b51 100755
--- a/packaging/rhel/acpid.sleep.sh
+++ b/packaging/rhel/acpid.sleep.sh
@@ -11,29 +11,24 @@ swap_priority=32767
hibernate()
{
swapon --priority=$swap_priority /swap && systemctl hibernate
- if [ $? -ne 0 ]
- then
+ if [ $? -ne 0 ]; then
logger "Hibernation failed, Sleeping 2 mins before retry"
failed='true'
+ swapoff /swap
+ sleep 2m
else
failed='false'
fi
- swapoff /swap
}
case "$2" in
SBTN)
# The iteration had been placed here to add retry logic to hibernation
# in case of failures and to avoid force stop of instances after 20min
- for i in 1 2 3
- do
+ for i in 1 2 3; do
hibernate
- if [ $failed == 'true' ];
- then
- swapoff /swap
- sleep 2m
- else
- break
+ if [ $failed == 'false' ]; then
+ break
fi
done
;;
--
2.48.1

3
README.packit Normal file
View file

@ -0,0 +1,3 @@
This repository is maintained by packit.
https://packit.dev/
The file was generated using packit 0.97.1.post1.dev4+g1268842e.

View file

@ -11,14 +11,19 @@
%global _format() export %1=""; for x in %{modulenames}; do %1+=%2; %1+=" "; done;
Name: ec2-hibinit-agent
Version: 1.0.5
Release: 1%{?dist}
Version: 1.0.9
Release: 11%{?dist}
Summary: Hibernation setup utility for Amazon EC2
License: ASL 2.0
License: Apache-2.0
URL: https://github.com/aws/amazon-%{name}
Source0: https://github.com/aws/%{project}/archive/v%{version}/%{name}-%{version}.tar.gz
# Ensure swapon with maximum priority before hibernation
# Upstream Patch: https://github.com/aws/amazon-ec2-hibinit-agent/pull/49)
Patch1: 0001-swapon-with-maximum-priority-before-hibernation.patch
Patch2: 0002-rhel-fix-swapoff-breaks-hibernate-process.patch
BuildArch: noarch
BuildRequires: make
@ -38,7 +43,7 @@ Requires: tuned
An EC2 agent that creates a setup for instance hibernation
%prep
%autosetup -n %{project}-%{version}
%autosetup -p1 -n %{project}-%{version}
# Fix build with setuptools 62.1
# https://github.com/aws/amazon-ec2-hibinit-agent/issues/24
sed -i "20i packages=[]," setup.py
@ -144,6 +149,56 @@ fi
%selinux_relabel_post -s %{selinuxtype}
%changelog
* Wed Jul 15 2026 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_45_Mass_Rebuild
* Thu Jun 04 2026 Python Maint <python-maint@redhat.com> - 1.0.9-10
- Rebuilt for Python 3.15
* Fri Jan 16 2026 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_44_Mass_Rebuild
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.0.9-7
- Rebuilt for Python 3.14
* Tue Mar 18 2025 Frank Liang <xiliang@redhat.com> - 1.0.9-6
- Include upstream Patch to fix swapoff breaks hibernate process
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
* Fri Nov 08 2024 Dominik Wombacher <dominik@wombacher.cc> - 1.0.9-4
- Include upstream Patch to ensure swapon with maximum priority before hibernation
- Resolves rhbz#2322884
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.0.9-2
- Rebuilt for Python 3.13
* Sun Jun 02 2024 Packit <hello@packit.dev> - 1.0.9-1
- Update to version 1.0.9
* Mon Apr 8 2024 Dominik Wombacher <dominik@wombacher.cc> - 1.0.8-1
- Update to 1.0.8
- migrated to SPDX license
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.0.5-2
- Rebuilt for Python 3.12
* Tue Apr 25 2023 David Duncan <<davdunc@amazon.com>> - 1.0.5-1
- Ensure we swapon the hibinit swapfile with the highest priority

View file

@ -1 +1 @@
SHA512 (ec2-hibinit-agent-1.0.5.tar.gz) = e6201d006fc18a6fab06bd4026333b7e5310511560ff237e724262a12d60f73f507bf314d224059d314705899aaf3c4d10226dbce776e797c03ee4b0ab819982
SHA512 (ec2-hibinit-agent-1.0.9.tar.gz) = a056f3cf19775f1dca2079bf810d3a73cb0ddd4ad9de585e5878b5061683fc271577c02cf85a4332510f9e958bc84180a0a559a2f3f5de6c215002336b31f155